org.apache.cassandra.io.sstable

## Class SSTableScanner.FilteredKeyScanningIterator

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableScanner.FilteredKeyScanningIterator

- All Implemented Interfaces:
    java.util.Iterator<OnDiskAtomIterator>
  Enclosing class:
    SSTableScanner

      protected class SSTableScanner.FilteredKeyScanningIterator
      extends java.lang.Object
      implements java.util.Iterator<OnDiskAtomIterator>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RowIndexEntry` | `nextEntry`
    `protected DecoratedKey` | `nextKey`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SSTableScanner.FilteredKeyScanningIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nextKey

          protected DecoratedKey nextKey

    - #### nextEntry

          protected RowIndexEntry nextEntry

  - ### Constructor Detail

    - #### SSTableScanner.FilteredKeyScanningIterator

          protected SSTableScanner.FilteredKeyScanningIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtomIterator>`

Copyright © 2014 The Apache Software Foundation